Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005316TestLinkReportspublic2012-10-31 02:172013-05-30 19:40
Reportersinohzxu 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005316: "Test Cases with Custom Fields set on Execute" - Report NOT DISPLAYED if CUSTOM FIELD NAME contains DOT
Descriptionwhen assign a custom field which is list (type=6) in execution to a project ,open "Test Cases with Custom Fields set on Execute".there is nothing to display.
When no list custom field assigned ,other items display ok.
Steps To Reproduce1. define a custom field which enables on test execution and is list type
2. assign it to project
3. in execution tree ,choose a test case to fill the custom field
4. open report called "Test Cases with Custom Fields set on Execute"
5.there is nothing display.
TagsQA-TEAM TASK, TO BE FIXED on 2.0
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version5.3.10
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017756)
sinohzxu (reporter)
2012-10-31 03:39
edited on: 2012-10-31 06:06

the custom field defined must have "*"
for example “8*25_2.0”.

(0017757)
sinohzxu (reporter)
2012-10-31 05:06

Sorry for my mistake. The custom field name must have special char like "." instead of "*"
(0017759)
fman (administrator)
2012-10-31 06:06

provide really detailed steps by steps, and export of custom field definition
(0017811)
sinohzxu (reporter)
2012-11-13 08:46

1. define a custom field which enables on test execution and its name is called "2.1"
2. assign it to project
3. in execution tree ,choose a test case to fill the custom field
4. open report called "Test Cases with Custom Fields set on Execute"
5.there is nothing display.


After tests,it is special character "." which caused the problem.If the name doesn't contain '.' then report displays ok.
(0017899)
fman (administrator)
2012-11-24 08:30

Commit
http://gitorious.org/testlink-ga/testlink-code/commit/98e4a971382a9d001b31682c315e877a0a53ea9f [^]

- Issue History
Date Modified Username Field Change
2012-10-31 02:17 sinohzxu New Issue
2012-10-31 03:39 sinohzxu Note Added: 0017756
2012-10-31 05:06 sinohzxu Note Added: 0017757
2012-10-31 06:06 fman Note Edited: 0017756 View Revisions
2012-10-31 06:06 fman Note Added: 0017759
2012-11-13 08:46 sinohzxu Note Added: 0017811
2012-11-24 08:26 fman Category Custom fields => Reports
2012-11-24 08:26 fman Summary when open "Test Cases with Custom Fields set on Execute" in project with list custom field assigned ,nothing display in report. => "Test Cases with Custom Fields set on Execute" - Report NOT DISPLAYED if CUSTOM FIELD NAME contains DOT
2012-11-24 08:27 fman Tag Attached: QA-TEAM TASK
2012-11-24 08:27 fman Tag Attached: TO BE FIXED on 2.0
2012-11-24 08:28 fman Assigned To => fman
2012-11-24 08:28 fman Status new => assigned
2012-11-24 08:28 fman Task Workflow Status TBD => READY FOR TESTING
2012-11-24 08:28 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-11-24 08:30 fman Note Added: 0017899
2012-11-24 08:31 fman Status assigned => resolved
2012-11-24 08:31 fman Resolution open => fixed
2012-11-24 08:31 fman Relationship added child of 0005193
2013-05-30 19:40 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker